Loading...
Searching...
No Matches
gtsam::traits< Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > > Struct Template Reference
Inheritance diagram for gtsam::traits< Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > >:

## Manifold

enum | { dimension = M*N }
typedef Fixed | ManifoldType
typedef Eigen::Matrix< double, dimension, 1 > | TangentVector
typedef Eigen::Matrix< double, dimension, dimension > | Jacobian
typedef OptionalJacobian< dimension, dimension > | ChartJacobian
static TangentVector | Local (const Fixed &origin, const Fixed &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Fixed | Retract (const Fixed &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)

## Group

typedef additive_group_tag | group_flavor
static Fixed | Identity ()

## Static Public Member Functions

Testable
static void | Print (const Fixed &m, const std::string &str="")
static bool | Equals (const Fixed &v1, const Fixed &v2, double tol=1e-8)
Lie Group
static TangentVector | Logmap (const Fixed &m, ChartJacobian H=boost::none)
static Fixed | Expmap (const TangentVector &v, ChartJacobian H=boost::none)
Static Public Member Functions inherited from gtsam::internal::VectorSpaceImpl< Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols >, M *N >
static TangentVector | Logmap (const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &m, ChartJacobian Hm=boost::none)
static Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > | Expmap (const TangentVector &v, ChartJacobian Hv=boost::none)
static Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > | Compose (const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &v1, const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > | Between (const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &v1, const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &v2, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > | Inverse (const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &v, ChartJacobian H=boost::none)
static int | GetDimension (const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &)
static TangentVector | Local (const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &origin, const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &other, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)
static Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > | Retract (const Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > &origin, const TangentVector &v, ChartJacobian H1=boost::none, ChartJacobian H2=boost::none)

## Public Types

typedef vector_space_tag | structure_category
typedef Eigen::Matrix< double, M, N, Options, MaxRows, MaxCols > | Fixed
typedef Eigen::Matrix< double, N, 1 > | TangentVector
typedef OptionalJacobian< N, N > | ChartJacobian
typedef Eigen::Matrix< double, N, N > | Jacobian

The documentation for this struct was generated from the following file:

- /build/gtsam-gchP9J/gtsam-4.2.2+dfsg/gtsam/base/VectorSpace.h